<div *ngIf="this.data">
	<ion-list class="user-rating" lines="none" margin-bottom-content>
		<ion-list-header class="list-header-tindang">
			<ion-label>
				Đánh giá
			</ion-label>
		</ion-list-header>
		<div class="rating-total" *ngIf="dataDangTin">
			<div class="rating-score-total">
				<span class="rating-score-total-value">{{this.dataDangTin.AvgRate}}/5</span>
				<ion-rating margin-bottom-content [readonly]="true" size="default" [rate]="this.dataDangTin.AvgRate"
					space="around">
				</ion-rating>
				<span>({{this.dataDangTin.TotalRate}} nhận xét)</span>
			</div>
			<div class="rating-detail">
				<div class="rating-detail-item">
					<div class="rating-detail-label">
						<ion-rating slot="end" [readonly]="true" size="small" [rate]="5">
						</ion-rating>
					</div>
					<ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate5 || 0">
					</ion-progress-bar>
					<span class="rating-value">{{this.dataDangTin.Rate5PT}}%</span>
				</div>
				<div class="rating-detail-item">
					<div class="rating-detail-label">
						<ion-rating slot="end" [readonly]="true" size="small" [rate]="4">
						</ion-rating>
					</div>
					<ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate4 || 0">
					</ion-progress-bar>
					<span class="rating-value">{{this.dataDangTin.Rate4PT}}%</span>
				</div>
				<div class="rating-detail-item">
					<div class="rating-detail-label">
						<ion-rating slot="end" [readonly]="true" size="small" [rate]="3">
						</ion-rating>
					</div>
					<ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate3 || 0">
					</ion-progress-bar>
					<span class="rating-value">{{this.dataDangTin.Rate3PT}}%</span>
				</div>
				<div class="rating-detail-item">
					<div class="rating-detail-label">
						<ion-rating slot="end" [readonly]="true" size="small" [rate]="2">
						</ion-rating>
					</div>
					<ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate2 || 0">
					</ion-progress-bar>
					<span class="rating-value">{{this.dataDangTin.Rate2PT}}%</span>
				</div>
				<div class="rating-detail-item">
					<div class="rating-detail-label">
						<ion-rating slot="end" [readonly]="true" size="small" [rate]="1">
						</ion-rating>
					</div>
					<ion-progress-bar class="rating-progress" color="success" [value]="this.dataDangTin.Rate1 || 0">
					</ion-progress-bar>
					<span class="rating-value">{{this.dataDangTin.Rate1PT}}%</span>
				</div>
			</div>
		</div>
		<div class="ion-padding">
			<ion-button *ngIf="variables.isLoginThanhVien" fill="outline" color="secondary"
				(click)="openModalRatingTinDang()" expand="block" class="btn-create-rating">
				<ion-label>
					Viết nhận xét
				</ion-label>
			</ion-button>
			<ion-button *ngIf="!variables.isLoginThanhVien" fill="outline" color="secondary"
				(click)="this.commonMethodsTs.toPage_MemberLogin()" expand="block" class="btn-create-rating">
				<ion-label>
					Đăng nhập để viết nhận xét
				</ion-label>
			</ion-button>
		</div>
		<div *ngIf="data">
			<ion-item *ngFor="let item of data">
				<ion-thumbnail class="img-user" slot="start">
					<img [src]="item.UrlHinhDaiDienThanhVien">
				</ion-thumbnail>
				<ion-label>
					<div class="info-rating">
						<h2 class="title">{{ item.HoTenThanhVien || 'Chưa cập nhật' }} </h2>
						<div>
							<ion-rating slot="end" [readonly]="true" size="small" [rate]="item.Rating" space="around">
							</ion-rating>
						</div>
					</div>
					<ion-text>
						<div [innerHTML]="item.Description"></div>
					</ion-text>
					<p>{{item.NgayCapNhat || item.NgayTao | date: "dd/MM/yyyy"}}</p>
				</ion-label>
			</ion-item>
		</div>



		<div *ngIf="!data">
			<ion-item lines="none">
				<ion-avatar slot="start">
					<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
				</ion-avatar>
				<ion-label>
					<ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
					<ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
					<ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			</ion-item>
			<ion-item lines="none">
				<ion-avatar slot="start">
					<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
				</ion-avatar>
				<ion-label>
					<ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
					<ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
					<ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
				</ion-label>
			</ion-item>

		</div>





		<ion-item *ngIf="data && data.length >= defaultValue.maxDanhGiaDefault">
			<ion-label class="ion-text-center">
				<ion-button class="btn-text" (click)="openDialogDanhGia()">
					Xem tất cả <i class="la la-angle-right"></i>
				</ion-button>
			</ion-label>
		</ion-item>
	</ion-list>
</div>